Package ghidra.graph.viewer.layout

# Class CalculateLayoutLocationsTask<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.util.task.Task
ghidra.graph.viewer.layout.CalculateLayoutLocationsTask<V,E>

All Implemented Interfaces:
  `MonitoredRunnable`

public class CalculateLayoutLocationsTask<V extends VisualVertex,E extends VisualEdge<V>> extends Task

- ## Field Summary

  ### Fields inherited from class ghidra.util.task.Task

  `taskMonitor, waitForTaskCompleted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculateLayoutLocationsTask(VisualGraph<V,E> graph, VisualGraphLayout<V,E> layout)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LayoutPositions<V,E>`
  `getLocations()`
  `void`
  `run(TaskMonitor monitor)`
  This is the method that will be called to do the work

  ### Methods inherited from class ghidra.util.task.Task

  `addTaskListener, canCancel, cancel, getStatusTextAlignment, getTaskTitle, getWaitForTaskCompleted, hasProgress, isCancelled, isModal, monitoredRun, notifyTaskListeners, setHasProgress`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalculateLayoutLocationsTask

    public CalculateLayoutLocationsTask(VisualGraph<V,E> graph, VisualGraphLayout<V,E> layout)

- ## Method Details

  - ### run

    public void run(TaskMonitor monitor)
    Description copied from class: `Task`
    This is the method that will be called to do the work

    Note: The run(TaskMonitor) method should not make any calls directly on Swing components, as these calls are not thread safe. Place Swing calls in a Runnable, then call `Swing.runLater(Runnable)` or `Swing.runNow(Runnable)`to schedule the Runnable inside of the AWT Event Thread.

    Specified by:
      `run` in class `Task`
    Parameters:
      `monitor` - The TaskMonitor that will monitor the executing Task

  - ### getLocations

    public LayoutPositions<V,E> getLocations()